> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List your API keys

> Active API keys owned by the authenticated user in the authenticated organization, newest first. Secrets are never returned. Requires the `api-keys:read` scope.



## OpenAPI

````yaml /openapi.json get /api-keys
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /api-keys:
    get:
      tags:
        - API keys
      summary: List your API keys
      description: >-
        Active API keys owned by the authenticated user in the authenticated
        organization, newest first. Secrets are never returned. Requires the
        `api-keys:read` scope.
      operationId: apiKeys.list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      anyOf:
                        - type: string
                        - type: 'null'
                    scopes:
                      type: array
                      items:
                        enum:
                          - departments:read
                          - departments:write
                          - departments:delete
                          - sites:read
                          - sites:write
                          - sites:delete
                          - positions:read
                          - positions:write
                          - positions:delete
                          - employment-types:read
                          - employment-types:write
                          - employment-types:delete
                          - holidays:read
                          - holidays:write
                          - holidays:delete
                          - change-types:read
                          - termination-reasons:read
                          - accrual-cycles:read
                          - policies:read
                          - policies:config:read
                          - api-keys:read
                        type: string
                    expires_at:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: 'null'
                    last_used_at:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: 'null'
                    created_at:
                      type: string
                      format: date-time
                  required:
                    - id
                    - name
                    - description
                    - scopes
                    - expires_at
                    - last_used_at
                    - created_at
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````